package de.hsbo.fbv.bmg.graphs;


/**
 * Erster Ansatz fr die Klasse Knoten
 * Die Klasse speichert ein Objekt, auf das sich der Knoten bezieht.
 * @author A.Zimmermann, HS Bochum 2011
 *
 */
public class Node {
	
	// Attribute
	Object object = null;

	/**
	 * Konstruktor
	 * @param o
	 */
	public Node(Object o) {
		this.object = o;
	}

	/**
	 * Gibt das Bezugsobjekt an.
	 * @return
	 */
	public Object getObject() {
		return object;
	}

	@Override
	public String toString() {
		return "Node [" + object + "]";
	}
	
}	// Ende Klassendeklaration
